Debian Bug report logs - #702243
ITP: papi -- Performance Application Programming Interface library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Danjean <vdanjean@debian.org>

Date: Mon, 4 Mar 2013 12:36:04 UTC

Owned by: Vincent Danjean <vdanjean@debian.org>

Severity: wishlist

Fixed in version papi/5.2.0-1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#702243; Package wnpp. (Mon, 04 Mar 2013 12:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 04 Mar 2013 12:36:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: papi -- Performance Application Programming Interface library
Date: Mon, 04 Mar 2013 13:33:48 +0100
Package: wnpp
Severity: wishlist
Owner: Vincent Danjean <vdanjean@debian.org>

* Package name    : papi
  Version         : 5.1.0.2
  Upstream Author : University of Tennessee
* URL             : http://icl.cs.utk.edu/papi/custom/index.html?lid=51&slid=69
* License         : BSD
  Programming Lang: C
  Description     : Performance Application Programming Interface library

 Performance Application Programming Interface (PAPI) provides the tool
 designer and application engineer with a consistent interface and methodology
 for use of the performance counter hardware found in most major
 microprocessors. PAPI enables software engineers to see, in near real time,
 the relation between software performance and processor events.
 .
 In addition Component PAPI provides access to a collection of components that
 expose performance measurement opportunites across the hardware and software
 stack.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 08 Mar 2013 19:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, vdanjean@debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702243; Package wnpp. (Mon, 25 Mar 2013 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, vdanjean@debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Mon, 25 Mar 2013 20:21:04 GMT) Full text and rfc822 format available.

Message #12 received at 702243@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <702243@bugs.debian.org>
Subject: Re: ITP: papi: --> FTBFS: test failure
Date: Mon, 25 Mar 2013 21:09:14 +0100
Hi Vincent,

I just tried your papi package from git, but came across the following
build failure:

make[2]: Leaving directory `/tmp/buildd/papi-5.1.0.2/src/ctests'
export
LD_LIBRARY_PATH=/tmp/buildd/papi-5.1.0.2/src:/tmp/buildd/papi-5.1.0.2/src/libpfm-3.y/lib:/tmp/buildd/papi-5.1.0.2/src/libpfm4/lib;export
LIBPATH=.:./libpfm-3.y/lib:./libpfm4/lib; ctests/zero
Test case 0: start, stop.
-----------------------------------------------
Default domain is: 1 (PAPI_DOM_USER)
Default granularity is: 1 (PAPI_GRN_THR)
Using 20000000 iterations of c += a*b
-------------------------------------------------------------------------
Test type    :             1
PAPI_TOT_INS :      140000188
PAPI_TOT_CYC :       80261026
Real usec    :          23610
Real cycles  :       80510468
Virt usec    :          23563
Virt cycles  :       80137763
-------------------------------------------------------------------------
Verification: PAPI_TOT_CYC should be roughly real_cycles
NOTE: Not true if dynamic frequency scaling is enabled.
Verification: PAPI_FP_INS should be roughly 40000000
PAPI_TOT_INS Error of 250.00%
zero.c                                       FAILED
Line # 130
Error: FLOPS validation

make[1]: *** [test] Error 1

CPU is an x86_64 Intel Ivy Bridge
  model name      : Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
with TurboBoost disabled

and I fully loaded the CPU to avoid any frequency up-scaling while
building/testing papi.

Building with DEB_BUILD_OPTIONS=nocheck succeeds.


The error message is not helpful, there is no PAPI_FP_INS in the above
output and no figures the are somehow 250.00% "off".


Andreas


------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------
Forschungszentrum Juelich GmbH
52425 Juelich
Sitz der Gesellschaft: Juelich
Eingetragen im Handelsregister des Amtsgerichts Dueren Nr. HR B 3498
Vorsitzender des Aufsichtsrats: MinDir Dr. Karl Eugen Huthmacher
Geschaeftsfuehrung: Prof. Dr. Achim Bachem (Vorsitzender),
Karsten Beneke (stellv. Vorsitzender), Prof. Dr.-Ing. Harald Bolt,
Prof. Dr. Sebastian M. Schmidt
------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702243; Package wnpp. (Tue, 02 Apr 2013 21:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <Vincent.Danjean@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Tue, 02 Apr 2013 21:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 702243@bugs.debian.org (full text, mbox):

From: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
To: Andreas Beckmann <anbe@debian.org>, 702243@bugs.debian.org
Subject: Re: Bug#702243: ITP: papi: --> FTBFS: test failure
Date: Tue, 02 Apr 2013 23:48:15 +0200
Le 25/03/2013 21:09, Andreas Beckmann a écrit :
> Hi Vincent,
> 
> I just tried your papi package from git, but came across the following
> build failure:

I'm thinking about removing these tests for the Debian build
(or, at least, to make them non fatal). I'm not sure they are
really pertinent (they do not work into a virtual machine
for example).
  In any case, if you want good advice/comments about your
run, you should talk to upstream.

  Regards,
    Vincent

> make[2]: Leaving directory `/tmp/buildd/papi-5.1.0.2/src/ctests'
> export
> LD_LIBRARY_PATH=/tmp/buildd/papi-5.1.0.2/src:/tmp/buildd/papi-5.1.0.2/src/libpfm-3.y/lib:/tmp/buildd/papi-5.1.0.2/src/libpfm4/lib;export
> LIBPATH=.:./libpfm-3.y/lib:./libpfm4/lib; ctests/zero
> Test case 0: start, stop.
> -----------------------------------------------
> Default domain is: 1 (PAPI_DOM_USER)
> Default granularity is: 1 (PAPI_GRN_THR)
> Using 20000000 iterations of c += a*b
> -------------------------------------------------------------------------
> Test type    :             1
> PAPI_TOT_INS :      140000188
> PAPI_TOT_CYC :       80261026
> Real usec    :          23610
> Real cycles  :       80510468
> Virt usec    :          23563
> Virt cycles  :       80137763
> -------------------------------------------------------------------------
> Verification: PAPI_TOT_CYC should be roughly real_cycles
> NOTE: Not true if dynamic frequency scaling is enabled.
> Verification: PAPI_FP_INS should be roughly 40000000
> PAPI_TOT_INS Error of 250.00%
> zero.c                                       FAILED
> Line # 130
> Error: FLOPS validation
> 
> make[1]: *** [test] Error 1
> 
> CPU is an x86_64 Intel Ivy Bridge
>   model name      : Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
> with TurboBoost disabled
> 
> and I fully loaded the CPU to avoid any frequency up-scaling while
> building/testing papi.
> 
> Building with DEB_BUILD_OPTIONS=nocheck succeeds.
> 
> 
> The error message is not helpful, there is no PAPI_FP_INS in the above
> output and no figures the are somehow 250.00% "off".
> 
> 
> Andreas
> 
> 
> ------------------------------------------------------------------------------------------------
> ------------------------------------------------------------------------------------------------
> Forschungszentrum Juelich GmbH
> 52425 Juelich
> Sitz der Gesellschaft: Juelich
> Eingetragen im Handelsregister des Amtsgerichts Dueren Nr. HR B 3498
> Vorsitzender des Aufsichtsrats: MinDir Dr. Karl Eugen Huthmacher
> Geschaeftsfuehrung: Prof. Dr. Achim Bachem (Vorsitzender),
> Karsten Beneke (stellv. Vorsitzender), Prof. Dr.-Ing. Harald Bolt,
> Prof. Dr. Sebastian M. Schmidt
> ------------------------------------------------------------------------------------------------
> ------------------------------------------------------------------------------------------------
> 


-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702243; Package wnpp. (Sat, 06 Apr 2013 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Sat, 06 Apr 2013 12:27:04 GMT) Full text and rfc822 format available.

Message #22 received at 702243@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
Cc: 702243@bugs.debian.org
Subject: Re: Bug#702243: ITP: papi: --> papi-examples
Date: Sat, 06 Apr 2013 14:25:43 +0200
Hi Vincent,

the papi-examples package contains the prebuilt binaries, but they are
not really useful:
* statically linked (=> huge Installed-Size: 39582 [amd64])
* missing executable bit
* gzip compressed

I'd suggest shipping them dynamically linked, executabel and
uncompressed - or not at all, just ship the source and let the user
build them.

The source code is missing some parts to be useful (i.e. you can't
compile the examples without these):
* Makefile
* papi_test.h (which is being searched in ../testlib)
* the testlib content: Makefile clockcore.c do_loops.c dummy.c
  papi_test.h test_utils.c test_utils.h

Andreas

PS: more packing bugs will be found as I do more tests with papi :-)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#702243; Package wnpp. (Sat, 06 Apr 2013 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Danjean <vdanjean@debian.org>. (Sat, 06 Apr 2013 13:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 702243@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: Andreas Beckmann <anbe@debian.org>, 702243@bugs.debian.org
Subject: Re: Bug#702243: ITP: papi: --> papi-examples
Date: Sat, 06 Apr 2013 15:06:52 +0200
  Hi,

Le 06/04/2013 14:25, Andreas Beckmann a écrit :
> Hi Vincent,
> 
> the papi-examples package contains the prebuilt binaries, but they are
> not really useful:

  Many thanks for all your constructive remarks. I think the PAPI
packages are nearly in a correct state to be uploaded. However,
I'm missing free time for now.
  Do not hesitate to commit into the debian git repo (in colab-maint
on Alioth) if you wish and/or if I did not implement your
remarks.

  Regards,
    Vincent



-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main




Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sat, 28 Dec 2013 00:03:13 GMT) Full text and rfc822 format available.

Notification sent to Vincent Danjean <vdanjean@debian.org>:
Bug acknowledged by developer. (Sat, 28 Dec 2013 00:03:13 GMT) Full text and rfc822 format available.

Message #32 received at 702243-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 702243-close@bugs.debian.org
Subject: Bug#702243: fixed in papi 5.2.0-1
Date: Sat, 28 Dec 2013 00:00:10 +0000
Source: papi
Source-Version: 5.2.0-1

We believe that the bug you reported is fixed in the latest version of
papi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702243@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated papi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Dec 2013 17:29:07 +0100
Source: papi
Binary: libpapi5 libpapi-dev papi-tools papi-examples papi-dbg
Architecture: source amd64 all
Version: 5.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Danjean <vdanjean@debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 libpapi-dev - PAPI development files (headers and API documentation)
 libpapi5   - PAPI runtime (shared libraries)
 papi-dbg   - PAPI debug symbols
 papi-examples - PAPI example files and test programs
 papi-tools - PAPI utilities
Closes: 702243
Changes: 
 papi (5.2.0-1) unstable; urgency=low
 .
   * Initial release.  (Closes: #702243)
   * New upstream release.
   * Fix SONAME to include the major version only.
   * Refresh fix-manpages.patch.
   * Add new symbols from 5.2.0.
   * Use the canonical Vcs-* URLs.
   * Bump Standards-Version to 3.9.5. No changes needed.
   * Ignore all test failures for now, seems to be too hardware-dependent.
   * for-debian-do-not-embed-libpfm4.patch: New patch. Do not embed a copy of
     libpfm.a in libpapi.a.
   * papi-examples:
     - Do not ship prebuilt binaries. It's an Arch: all package.
     - Do not compress the example source code.
     - Ship everything needed to compile the examples.
     - Add strictly versioned Depends: libpapi-dev.
     - for-debian-link-examples-dynamically.patch: New patch. Link examples
       dynamically to support building them outside of the source tree.
     - for-debian-generalize-test-makefiles.patch: New patch. Make the 'all'
       target useful for building the examples outside of the source tree.
     - for-debian-tests-set-more-flags.patch: New patch. Set OMPCFLGS=-fopenmp,
       MPICC=mpicc, LDL=-ldl for building more examples from ctests/.
   * Add myself to Uploaders.
Checksums-Sha1: 
 73443d8f1a70c2d48dce436ab26984660bd0917a 2116 papi_5.2.0-1.dsc
 f044cc59884cd2902534037b86cfe1716dade40e 3908882 papi_5.2.0.orig.tar.gz
 705decaefa492c0f74e5aa2c87a4468fd9dfc397 11272 papi_5.2.0-1.debian.tar.gz
 15bb8d58a521a1179498273e2806f9b542670292 249122 libpapi5_5.2.0-1_amd64.deb
 09681ec37186a7b0f6ab24f2e33c872a0a3cf0c8 232804 libpapi-dev_5.2.0-1_amd64.deb
 2fa966f2bd4f9ddec930b2cd93bd33a21e3c50d1 78010 papi-tools_5.2.0-1_amd64.deb
 7303834d2450f409fe431709433e5c786b09e332 119900 papi-examples_5.2.0-1_all.deb
 d74ee62b613a5b1ff1bdc71e0e42f13bbac567b2 565444 papi-dbg_5.2.0-1_amd64.deb
Checksums-Sha256: 
 48df5b3493855c7e908f57f33bf40f2cf2f9c233a9bb0d40317df43b39cc3dca 2116 papi_5.2.0-1.dsc
 f1397aa1d9aa29aaa5c6566a28269a64c30639e7ba3d88a5905abc2bf52562f5 3908882 papi_5.2.0.orig.tar.gz
 67534b03519c1ebbf039cdf0fbfdf66afd9c77e29cf868d40072741d46a0c97e 11272 papi_5.2.0-1.debian.tar.gz
 4365bb17fed4e24b9dad5be428ca124da3764d316572e1218f96133b5a9d4b39 249122 libpapi5_5.2.0-1_amd64.deb
 85afe3ba66d9fbc12f6c3f38876d4f286da35dbc3174319cc74cc9ce0279fc28 232804 libpapi-dev_5.2.0-1_amd64.deb
 82e2c2615ede66388bf18a43080ec8d5bf677dd79c96a34f6a3639af993270ee 78010 papi-tools_5.2.0-1_amd64.deb
 082c6b97e130a412668ebc9c5e7d2928e6a03d9dbaac047568cf751a36aecd97 119900 papi-examples_5.2.0-1_all.deb
 572a73ca61869d11338fbb3319a0a7921f0a5de496826d82a1377f894e65e0a8 565444 papi-dbg_5.2.0-1_amd64.deb
Files: 
 030867c5c5c7dc71475448d0d94d34ec 2116 devel extra papi_5.2.0-1.dsc
 579e2bd5f29f7a28a4c9f30241107f0b 3908882 devel extra papi_5.2.0.orig.tar.gz
 19beb0c30b5197520c57d5d23024cf04 11272 devel extra papi_5.2.0-1.debian.tar.gz
 d3b77949c68704c4bc6fc08bf76bc961 249122 libs extra libpapi5_5.2.0-1_amd64.deb
 b2412660ec214857e36eaaa2c4bbb45d 232804 libdevel extra libpapi-dev_5.2.0-1_amd64.deb
 e1c7bed404eeee5bbb379b466315dc90 78010 devel extra papi-tools_5.2.0-1_amd64.deb
 ae0b6b1357309d7bd2e5cb64f1515ca7 119900 devel extra papi-examples_5.2.0-1_all.deb
 c2a929b852d19e581f1023b4b15cc282 565444 debug extra papi-dbg_5.2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSp0QFAAoJEF+zP5NZ6e0Ik9AQAImntfOvt2TloHsjDLEyYi4A
XUCSGRtxaOg8EnFGocj9p31sdKZUN55KoiOkWsyeS1BhUaXajzLxhDIhaaxs9F9R
GbTbo95tn9Fnd34MpQKESts7CJFjMUvbO9FD/8xwN+31HeNpGX1x8juNjSg/9KkA
bpt6GqyQaoD5UjtDNKGkhTGuTHHqDK1P4krDow01mQvhaTyve2/E9kBpgVzM/sIy
CiLJ0NDCixtAY+oar++wT6YN+4ROq0TATERxyjo6mDsicA/PxMiTiwnUQsk2Nhng
8l+fMuykvqMzTYnP7C+6n//tO2qn8hwG8PLSDgz/oCL6QCmUGeCkq1O2n+w5TOPT
pMiZ/gWCdkl8YL28Crh6dNF1nuVAJuOQcOz7USlAmUALVyUPq8lrQgWqs2xJz0bZ
TPqo/bzMWAhyevRD8Al6ZdXaR6tZt3WwIofZUfA9ysocsbEZWFZwoiN21BA6ZxB7
U+XsobgGiafANoDGiL/JiDH+c6Lf6HCPhJsMOeFzbn2Eq8+CJLuYdE97ElEJwKCT
1ahqn7J7Oxm0NDVhghlb/WV2hR8CaMIKDjPO4k3N5s7R55OKPPI4c3vPV/AxWOj4
feOGBf2RtY4F7NrqkLFTjij4ATcMwWSkhT9efRfFbFdBm9rzUQQVzjRqhn0+10Zn
U8WEAMAMTfyAxDY9dyBv
=xsw8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jan 2014 07:32:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:57:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.